Bug 1578517 - Needs rebuild for RHEL 7.5
Summary: Needs rebuild for RHEL 7.5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: gthumb
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-15 18:53 UTC by Anssi Johansson
Modified: 2018-05-23 15:29 UTC (History)
9 users (show)

Fixed In Version: gthumb-3.3.4-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-23 15:29:39 UTC


Attachments (Terms of Use)

Description Anssi Johansson 2018-05-15 18:53:15 UTC
Description of problem:
exiv2-libs was updated in RHEL 7.5. It now provides libexiv2.so.26 instead of libexiv2.so.12, and gthumb would need to be rebuilt against the new exiv2-libs.

Version-Release number of selected component (if applicable):
gthumb-3.3.4-1.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Have RHEL/CentOS 7.5
2. "yum install gthumb"

Actual results:
--> Finished Dependency Resolution
Error: Package: gthumb-3.3.4-1.el7.x86_64 (epel)
           Requires: libexiv2.so.12()(64bit)

Expected results:
Package gets installed.

Comment 1 Todd Zullinger 2018-05-19 14:12:47 UTC
I tested a scratch build and filed https://src.fedoraproject.org/rpms/gthumb/pull-request/1 in case it helps move things along.

Comment 2 Fedora Update System 2018-05-20 13:04:44 UTC
gthumb-3.3.4-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-cf273e5b68

Comment 3 Fedora Update System 2018-05-20 20:38:04 UTC
gthumb-3.3.4-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-cf273e5b68

Comment 4 Kalev Lember 2018-05-22 11:22:52 UTC
Could one of you leave karma for the update, please?

Comment 5 Todd Zullinger 2018-05-22 19:32:17 UTC
Done.  I'm not a gthumb user, but testing this fix didn't require more than installing and opening the app.  I poked around a little to be sure it loaded images, to be a little more thorough.

Thanks for pushing the update Kalev.

Comment 6 Kalev Lember 2018-05-22 20:14:36 UTC
Excellent, thanks!

Comment 7 Fedora Update System 2018-05-23 15:29:39 UTC
gthumb-3.3.4-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.